Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85419 - Poor wifi connection with WEP enabled
Summary: Poor wifi connection with WEP enabled
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-01 19:31 UTC by Charles
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:35 UTC


Attachments (Terms of Use)

Description Charles 2003-03-01 19:31:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
I had this same problem with RH 8.0 and it's still present in Phoebe...

I've got a Dell CPx-500 laptop and an Orinoco Silver wifi 801.11b pcmcia card
with 64 bit WEP encryption.

With WEP enabled, I can surf to one, maybe two sites.  Then my connection bogs
down and I can't connect to any other sites.  I don't get any error messages,
but the Mozilla spinner just spins and nothing happens like it's trying to connect.

However, when I turn off WEP, my connection flies and there's no problems.  I
know this is not a hardware problem b/c I've tested it on some other distros and
my wifi connection works just fine, with WEP enabled.

There is something going on with either the RH kernel, the orinoco_cs module, or
something that's causing this wifi connection to get clogged up when WEP is enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Set up Orinoco silver pcmcia wifi card, turn on WEP
2.  Connect to websites
3.
    

Actual Results:  I can connect to one or two sites, then connection clogs up.

Expected Results:  Connection should be nice and clean, even with WEP enabled.

Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:35 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.